## ros-indigo-moveit-ros-benchmarks-gui 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_benchmarks_gui)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread program_options date_time system filesystem)

find_package(PkgConfig REQUIRED)

pkg_check_modules(OGRE OGRE)
link_directories(${OGRE_LIBRARY_DIRS})

find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})
add_definitions(-DQT_NO_KEYWORDS)

find_package(catkin REQUIRED COMPONENTS
  moveit_ros_planning
  moveit_ros_warehouse
  moveit_ros_benchmarks
  moveit_ros_visualization
  cmake_modules
  eigen_conversions
  interactive_markers
  rviz
  tf
  roscpp
  rosconsole
)
find_package(Eigen REQUIRED)

catkin_package()

include_directories(include)

include_directories(${catkin_INCLUDE_DIRS})
include_directories(${Boost_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

qt4_wrap_cpp(MOC_FILES include/main_window.h include/trajectory.h include/benchmark_processing_thread.h)
qt4_wrap_ui(UIC_FILES
  src/ui/main_window.ui
  src/ui/run_benchmark_dialog.ui
  src/ui/robot_loader.ui
  src/ui/bounding_box_goals.ui
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(SYSTEM
                    ${QT_INCLUDE_DIR}
                    ${OGRE_INCLUDE_DIRS})

set(SOURCES
  src/main.cpp
  src/main_window.cpp
  src/job_processing.cpp
  src/benchmark_processing_thread.cpp
  src/ui_utils.cpp
  src/frame_marker.cpp
  src/trajectory.cpp
  src/tab_states_and_goals.cpp
  src/tab_trajectories.cpp
)

add_executable(moveit_benchmark_gui ${SOURCES} ${MOC_FILES} ${UIC_FILES})

target_link_libraries(moveit_benchmark_gui
  ${catkin_LIBRARIES}
  ${rviz_DEFAULT_PLUGIN_LIBRARIES}
  ${OGRE_LIBRARIES}
  ${QT_LIBRARIES}
  ${Boost_LIBRARIES}
)

install(
  TARGETS
    moveit_benchmark_gui
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
ros-indigo-moveit-ros-benchmarks-gui (0.7.14-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.9-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.7-1trusty) trusty; urgency=high

  * clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.1-1trusty) trusty; urgency=high

  * explicitly link rviz' default_plugin library
    The library is not exported anymore and now is provided separately from rviz_LIBRARIES.
    See https://github.com/ros-visualization/rviz/pull/979 for details.
  * Contributors: v4hn

 -- Ioan Sucan <isucan@gmail.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@gmail.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@gmail.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.6.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sat, 20 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.6.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 03 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.6.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.6.1-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.6.0-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 27 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.19-1trusty) trusty; urgency=high

  * Fix [-Wreorder] warning.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Ioan Sucan <isucan@gmail.com>  Mon, 23 Jun 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.18-1trusty) trusty; urgency=high

  * add pkg-config as dep
  * find PkgConfig before using pkg_check_modules
    PC specific functions mustn't be used before including PkgConfig
  * Contributors: Ioan Sucan, v4hn

 -- Ioan Sucan <isucan@gmail.com>  Sun, 23 Mar 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.17-1trusty) trusty; urgency=high

  * update build system for ROS indigo
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@gmail.com>  Sat, 22 Mar 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.16-1trusty) trusty; urgency=high

  * back out problematic ogre fixes
  * robot_interaction: split InteractionHandler into its own file
  * rviz: prepare for Ogre1.10
  * Contributors: Acorn Pooley

 -- Ioan Sucan <isucan@gmail.com>  Thu, 27 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.14-1trusty) trusty; urgency=high

  * fixing name in changelog
  * Contributors: Sachin Chitta

 -- Ioan Sucan <isucan@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.13-1trusty) trusty; urgency=high

  * Fix Parse error at "BOOST_JOIN" error
    See: https://bugreports.qt-project.org/browse/QTBUG-22829
  * Contributors: Benjamin Chre'tien

 -- Ioan Sucan <isucan@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 03 Jan 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 03 Jan 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 08 Dec 2013 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks-gui (0.5.9-1trusty) trusty; urgency=high

  * renamed collision check function to be clearer
  * fixed bug in collision detection for goal pose queries
  * fixed dirty transform bugs
  * Fixed one crash bug and fixed goal-selection bug #339 <https://github.com/ros-planning/moveit_ros/issues/339>.


=== debian/control ===
Source: ros-indigo-moveit-ros-benchmarks-gui
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-interactive-markers, ros-indigo-moveit-ros-benchmarks, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-ros-warehouse, ros-indigo-roscpp, ros-indigo-rviz, ros-indigo-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-benchmarks-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-eigen-conversions, ros-indigo-interactive-markers, ros-indigo-moveit-ros-benchmarks, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-ros-warehouse, ros-indigo-roscpp, ros-indigo-rviz, ros-indigo-tf
Description: MoveIt GUI tools for benchmarking

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-benchmarks-gui//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
